"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "run-tests.sh" between
aodh-14.0.0.tar.gz and aodh-15.0.0.tar.gz

About: OpenStack Aodh provides alarms and notifications based on metrics.
The "Zed" series (latest release).

run-tests.sh  (aodh-14.0.0):run-tests.sh  (aodh-15.0.0)
#!/bin/bash -x #!/bin/bash -x
set -e set -e
AODH_TEST_DRIVERS=${AODH_TEST_DRIVERS:-postgresql}
export GABBI_LIVE_FAIL_IF_NO_TEST=1
export AODH_SERVICE_TOKEN=foobar # Needed for gabbi
export AODH_SERVICE_ROLES=admin
# unit tests
export OS_TEST_PATH=aodh/tests/unit export OS_TEST_PATH=aodh/tests/unit
./tools/pretty_tox.sh $* stestr run $*
# functional tests
export OS_TEST_PATH=aodh/tests/functional export OS_TEST_PATH=aodh/tests/functional
AODH_TEST_DRIVERS=${AODH_TEST_DRIVERS:-postgresql}
for indexer in ${AODH_TEST_DRIVERS} for indexer in ${AODH_TEST_DRIVERS}
do do
pifpaf -g AODH_TEST_STORAGE_URL run $indexer -- ./tools/pretty_tox.sh $* pifpaf -g AODH_TEST_STORAGE_URL run $indexer -- stestr run $*
done
# live functional tests
cleanup(){
type -t database_stop >/dev/null && database_stop || true
}
trap cleanup EXIT
export OS_TEST_PATH=aodh/tests/functional_live
for indexer in ${AODH_TEST_DRIVERS}
do
eval $(pifpaf -e DATABASE run $indexer)
pifpaf -e AODH run aodh --database-url $DATABASE_URL -- stestr run $*
cleanup
done done
 End of changes. 4 change blocks. 
3 lines changed or deleted 26 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)